StateMachineInfo
Keywords: net.corda.core.messaging.StateMachineInfo class
Date: 2023-09-18

net.corda.core.messaging

## Class StateMachineInfo

- net.corda.core.messaging.StateMachineInfo

-     public class StateMachineInfo

  Represents information about a flow (the name "state machine" is legacy, Kotlin users can use the FlowInfo type alias). You can access progress tracking, information about why the flow was started and so on.

- - ### Constructor Detail

    - #### StateMachineInfo

          @JvmOverloads
          public StateMachineInfo(@NotNull
                                                StateMachineRunId id,
                                                @NotNull
                                                java.lang.String flowLogicClassName,
                                                @NotNull
                                                FlowInitiator initiator,
                                                @Nullable
                                                DataFeed<java.lang.String,java.lang.String> progressTrackerStepAndUpdates,
                                                @NotNull
                                                InvocationContext invocationContext)

      Represents information about a flow (the name "state machine" is legacy, Kotlin users can use the FlowInfo type alias). You can access progress tracking, information about why the flow was started and so on.

      Parameters:
        `id` - A universally unique ID (java.util.UUID) representing this particular instance of the named flow.
        `flowLogicClassName` - The JVM class name of the flow code.
        `initiator` - An object representing information about the initiator of the flow. Note that this field issuperseded by the invocationContext property, which has more detail.
        `progressTrackerStepAndUpdates` - A `class DataFeed` of the current progress step as a human readable string, and updates to that string.
        `invocationContext` - An `class InvocationContext` describing why and by whom the flow was started.

    - #### StateMachineInfo

          @JvmOverloads
          public StateMachineInfo(@NotNull
                                                StateMachineRunId id,
                                                @NotNull
                                                java.lang.String flowLogicClassName,
                                                @NotNull
                                                FlowInitiator initiator,
                                                @Nullable
                                                DataFeed<java.lang.String,java.lang.String> progressTrackerStepAndUpdates)

      Represents information about a flow (the name "state machine" is legacy, Kotlin users can use the FlowInfo type alias). You can access progress tracking, information about why the flow was started and so on.

      Parameters:
        `id` - A universally unique ID (java.util.UUID) representing this particular instance of the named flow.
        `flowLogicClassName` - The JVM class name of the flow code.
        `initiator` - An object representing information about the initiator of the flow. Note that this field issuperseded by the invocationContext property, which has more detail.
        `progressTrackerStepAndUpdates` - A `class DataFeed` of the current progress step as a human readable string, and updates to that string.

  - ### Method Detail

    - #### copy

          @NotNull
          public StateMachineInfo copy(@NotNull
                                                StateMachineRunId id,
                                                @NotNull
                                                java.lang.String flowLogicClassName,
                                                @NotNull
                                                FlowInitiator initiator,
                                                @Nullable
                                                DataFeed<java.lang.String,java.lang.String> progressTrackerStepAndUpdates)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getId

          @NotNull
          public StateMachineRunId getId()

      A universally unique ID

      (java.util.UUID) representing this particular instance of the named flow.

      See Also:
        java.util.UUID

    - #### getFlowLogicClassName

          @NotNull
          public java.lang.String getFlowLogicClassName()

      The JVM class name of the flow code.

    - #### getInitiator

          @NotNull
          public FlowInitiator getInitiator()

      Deprecated.

      An object representing information about the initiator of the flow.

      Note that this field issuperseded by the invocationContext property, which has more detail.

    - #### getProgressTrackerStepAndUpdates

          @Nullable
          public DataFeed<java.lang.String,java.lang.String> getProgressTrackerStepAndUpdates()

      A

      `class DataFeed` of the current progress step as a human readable string, and updates to that string.

      See Also:
        `class DataFeed`

    - #### getInvocationContext

          @NotNull
          public InvocationContext getInvocationContext()

      An

      `class InvocationContext` describing why and by whom the flow was started.

      See Also:
        `class InvocationContext`

    - #### component1

          @NotNull
          public StateMachineRunId component1()

      A universally unique ID

      (java.util.UUID) representing this particular instance of the named flow.

      See Also:
        java.util.UUID

    - #### component2

          @NotNull
          public java.lang.String component2()

      The JVM class name of the flow code.

    - #### component3

          @NotNull
          public FlowInitiator component3()

      An object representing information about the initiator of the flow.

      Note that this field issuperseded by the invocationContext property, which has more detail.

    - #### component4

          @Nullable
          public DataFeed<java.lang.String,java.lang.String> component4()

      A

      `class DataFeed` of the current progress step as a human readable string, and updates to that string.

      See Also:
        `class DataFeed`

    - #### component5

          @NotNull
          public InvocationContext component5()

      An

      `class InvocationContext` describing why and by whom the flow was started.

      See Also:
        `class InvocationContext`

    - #### copy

          @NotNull
          public StateMachineInfo copy(@NotNull
                                                StateMachineRunId id,
                                                @NotNull
                                                java.lang.String flowLogicClassName,
                                                @NotNull
                                                FlowInitiator initiator,
                                                @Nullable
                                                DataFeed<java.lang.String,java.lang.String> progressTrackerStepAndUpdates,
                                                @NotNull
                                                InvocationContext invocationContext)

      Represents information about a flow (the name "state machine" is legacy, Kotlin users can use the FlowInfo type alias). You can access progress tracking, information about why the flow was started and so on.

    - #### hashCode

          public int hashCode()

      Represents information about a flow (the name "state machine" is legacy, Kotlin users can use the FlowInfo type alias). You can access progress tracking, information about why the flow was started and so on.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Represents information about a flow (the name "state machine" is legacy, Kotlin users can use the FlowInfo type alias). You can access progress tracking, information about why the flow was started and so on.